> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# updateWorkspaceMember

> Update the member of a workspace



## OpenAPI

````yaml admin-openapi.json put /v1/admin/workspace-members/{id}
openapi: 3.0.0
info:
  title: Botpress Admin API
  description: API for Botpress Cloud Manager
  version: 1.52.1
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/admin/workspace-members/{id}:
    put:
      tags:
        - Endpoints
      description: Update the member of a workspace
      operationId: updateWorkspaceMember
      parameters:
        - name: id
          in: path
          description: Workspace member ID
          required: true
          schema:
            type: string
        - name: x-workspace-id
          in: header
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: x-multiple-integrations
          in: header
          description: >-
            Whether the client supports bots with multiple instances of the same
            integration. Set to "true" to receive integration instances keyed by
            their alias instead of their id. This header will be removed in the
            future, and the API will always return multiple instances keyed by
            alias.
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/updateWorkspaceMemberBody'
      responses:
        '200':
          $ref: '#/components/responses/updateWorkspaceMemberResponse'
        default:
          $ref: '#/components/responses/updateWorkspaceMemberResponse'
components:
  requestBodies:
    updateWorkspaceMemberBody:
      description: Workspace member metadata
      content:
        application/json:
          schema:
            type: object
            properties:
              role:
                type: string
                enum:
                  - viewer
                  - billing
                  - developer
                  - manager
                  - administrator
                  - owner
            title: updateWorkspaceMemberBody
            additionalProperties: false
  responses:
    updateWorkspaceMemberResponse:
      description: Success
      content:
        application/json:
          schema:
            type: object
            properties:
              id:
                type: string
              userId:
                type: string
                format: uuid
              email:
                type: string
              createdAt:
                type: string
              role:
                type: string
                enum:
                  - viewer
                  - billing
                  - developer
                  - manager
                  - administrator
                  - owner
              profilePicture:
                type: string
              displayName:
                type: string
                maxLength: 100
            required:
              - id
              - email
              - createdAt
              - role
            title: updateWorkspaceMemberResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````